gnutls_openpgp_crt_get_subkey_pk_algorithm(3)

NAME
gnutls_openpgp_crt_get_subkey_pk_algorithm - return the subkey's PublicKey algorithm

SYNOPSIS
#include <gnutls/openpgp.h>

gnutls_pk_algorithm_t gnutls_openpgp_crt_get_subkey_pk_algorithm(gnutls_openpgp_crt_t key, unsigned int idx, unsigned int * bits);

ARGUMENTS

gnutls_openpgp_crt_t key
    is an OpenPGP key

unsigned int idx
    is the subkey index

unsigned int * bits
    if bits is non null it will hold the size of the parameters' in bits

DESCRIPTION
This function will return the public key algorithm of a subkey of an OpenPGP certificate. If bits is non null, it should have enough size to hold the parameters size in bits. For RSA the bits returned is the modulus. For DSA the bits returned are of the public exponent.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative value on error.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.